package com.ruoyi.school.paper.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.mapper.BaseMapperPlus;
import com.ruoyi.school.paper.domain.DbTestPaperRecord;
import com.ruoyi.school.paper.domain.bo.DbTestPaperBo;
import com.ruoyi.school.paper.domain.bo.DbTestPaperRecordBo;
import com.ruoyi.school.paper.domain.vo.DbTestPaperRecordVo;
import com.ruoyi.school.paper.domain.vo.DbTestPaperVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 答题记录Mapper接口
 *
 * @author zyf
 * @date 2023-07-20
 */
@Mapper
public interface DbTestPaperRecordMapper extends BaseMapperPlus<DbTestPaperRecordMapper, DbTestPaperRecord, DbTestPaperRecordVo> {

    Page<DbTestPaperRecordVo> getTestPaperlist(Page<Object> build, @Param("bo") DbTestPaperRecordBo bo);

    /**
     * pc段 审批阅卷班级列表
     */
    Page<DbTestPaperVo> getPhaseList(Page<Object> build, @Param("bo") DbTestPaperBo bo);

    /**
     * 审批阅卷学生列表
     */
    Page<DbTestPaperVo> getClassList(Page<Object> build, @Param("bo") DbTestPaperBo bo);
}
