package com.ruoyi.school.paper.domain.vo;

import com.ruoyi.school.paper.domain.DbQuestionBankAnswerTestPaper;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 错题详情
 */
@Data
public class ErrorTopicListDetailVo implements Serializable {

    /**
     * 题目编号
     */
    private Long questionBankId;

    /**
     * 类别名称
     */
    private String typeName;

    /**
     * 强度分类
     */
    private String intensity;

    /**
     * 阶段名称
     */
    private String phaseName;

    /**
     * 习题种类
     */
    private String species;

    /**
     * 题目
     */
    private String topic;

    /**
     * 正确答案
     */
    private String rightAnswers;

    /**
     * 选项标签
     */
    private String optionTag;

    /**
     * 选项内容
     */
    private String optionContent;



    /**
     * 选项标签集合
     */
    private List<DbQuestionBankAnswerTestPaper> options;
}
