package com.ruoyi.school.paper.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.school.paper.domain.DbCollectList;
import com.ruoyi.school.paper.domain.request.CollectListRequest;
import com.ruoyi.school.paper.domain.vo.DbCollectListVo;
import com.ruoyi.common.core.mapper.BaseMapperPlus;
import com.ruoyi.school.paper.domain.vo.MyCollectListVo;
import org.apache.ibatis.annotations.Param;

/**
 * 收藏Mapper接口
 *
 * @author zyf
 * @date 2023-07-20
 */
public interface DbCollectListMapper extends BaseMapperPlus<DbCollectListMapper, DbCollectList, DbCollectListVo> {
    Page<MyCollectListVo> findMyECollectListVoPage(IPage<MyCollectListVo> iPage,@Param("request") CollectListRequest request);

    long getListByRecord(@Param("recordId") Long recordId, @Param("questionBankId") Long questionBankId);
}
